Skip to main content
`Ctrl`+`K`

# KSPMonitorResidualDrawLGCreate

Creates the context for the (possibly preconditioned) residual norm monitor `KSPMonitorResidualDrawLG()`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorResidualDrawLGCreate(PetscViewer viewer, PetscViewerFormat format, void *ctx, PetscViewerAndFormat **vf)

Collective

## Input Parameters

- viewer - The `PetscViewer` of type `PETSCVIEWERDRAW`

- format - The viewer format

- ctx - An optional user context

## Output Parameter

- vf - The viewer context

## See Also

KSP: Linear System Solvers, `KSP`, `PETSCVIEWERDRAW`, `KSPMonitorSet()`, `KSPMonitorTrueResidual()`, `KSPMonitorResidualDrawLG()`, `PetscViewerFormat`, `PetscViewer`, `PetscViewerAndFormat`

## Level

intermediate

## Location

src/ksp/ksp/interface/iterativ.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages